std::array< _Tp, _Nm > Struct Template Reference
Containers » Sequences

## Public Types

typedef ::__array_traits< _Tp, _Nm > | _AT_Type
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef std::ptrdiff_t | difference_type
typedef value_type * | iterator
typedef value_type * | pointer
typedef value_type & | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions

_GLIBCXX17_CONSTEXPR reference | at (size_type __n)
constexpr const_reference | at (size_type __n) const
constexpr const_reference | back () const noexcept
_GLIBCXX17_CONSTEXPR reference | back () noexcept
_GLIBCXX17_CONSTEXPR const_iterator | begin () const noexcept
_GLIBCXX17_CONSTEXPR iterator | begin () noexcept
_GLIBCXX17_CONSTEXPR const_iterator | cbegin () const noexcept
_GLIBCXX17_CONSTEXPR const_iterator | cend () const noexcept
_GLIBCXX17_CONSTEXPR const_reverse_iterator | crbegin () const noexcept
_GLIBCXX17_CONSTEXPR const_reverse_iterator | crend () const noexcept
_GLIBCXX17_CONSTEXPR const_pointer | data () const noexcept
_GLIBCXX17_CONSTEXPR pointer | data () noexcept
constexpr bool | empty () const noexcept
_GLIBCXX17_CONSTEXPR const_iterator | end () const noexcept
_GLIBCXX17_CONSTEXPR iterator | end () noexcept
void | fill (const value_type &__u)
constexpr const_reference | front () const noexcept
_GLIBCXX17_CONSTEXPR reference | front () noexcept
constexpr size_type | max_size () const noexcept
constexpr const_reference | operator[] (size_type __n) const noexcept
_GLIBCXX17_CONSTEXPR reference | operator[] (size_type __n) noexcept
_GLIBCXX17_CONSTEXPR const_reverse_iterator | rbegin () const noexcept
_GLIBCXX17_CONSTEXPR reverse_iterator | rbegin () noexcept
_GLIBCXX17_CONSTEXPR const_reverse_iterator | rend () const noexcept
_GLIBCXX17_CONSTEXPR reverse_iterator | rend () noexcept
constexpr size_type | size () const noexcept
void | swap (array &__other) noexcept(_AT_Type::_Is_nothrow_swappable::value)

## Public Attributes

_AT_Type::_Type | _M_elems
const typedef value_type * | const_iterator
const typedef value_type * | const_pointer
const typedef value_type & | const_reference

## Detailed Description

### template<typename _Tp, std::size_t _Nm>
struct std::array< _Tp, _Nm >

A standard container for storing a fixed size sequence of elements.

Meets the requirements of a container, a reversible container, and a sequence.

Sets support random access iterators.

Template Parameters

  Tp | Type of element. Required to be a complete type.
  N | Number of elements.

Definition at line 94 of file array.

The documentation for this struct was generated from the following file:

- array